<linker>
	<assembly fullname="UnityEngine">
		<type fullname="UnityEngine.Object" preserve="nothing"/>
		<type fullname="UnityEditor.UnityConnectSettings" preserve="nothing"/>
		<type fullname="UnityEditor.VFXManager" preserve="nothing"/>
		<type fullname="UnityEditor.PlayerSettings" preserve="nothing"/>
		<type fullname="UnityEngine.Material" preserve="nothing"/>
		<type fullname="UnityEngine.TextAsset" preserve="nothing"/>
		<type fullname="UnityEngine.Shader" preserve="nothing"/>
		<type fullname="UnityEditor.MonoScript" preserve="nothing"/>
		<type fullname="UnityEditor.AudioManager" preserve="nothing"/>
		<type fullname="UnityEditor.PhysicsManager" preserve="nothing"/>
		<type fullname="UnityEditor.TimeManager" preserve="nothing"/>
		<type fullname="UnityEditor.InputManager" preserve="nothing"/>
		<type fullname="UnityEditor.TagManager" preserve="nothing"/>
		<type fullname="UnityEditor.MonoManager" preserve="nothing"/>
		<type fullname="UnityEngine.Rendering.GraphicsSettings" preserve="nothing"/>
		<type fullname="UnityEngine.QualitySettings" preserve="nothing"/>
		<type fullname="UnityEditor.Physics2DSettings" preserve="nothing"/>
		<type fullname="UnityEngine.AudioBehaviour" preserve="nothing"/>
		<type fullname="UnityEngine.Canvas" preserve="nothing"/>
		<type fullname="UnityEngine.RectTransform" preserve="nothing"/>
		<type fullname="UnityEngine.LightmapSettings" preserve="nothing"/>
		<type fullname="UnityEngine.Sprite" preserve="nothing"/>
		<type fullname="UnityEngine.Texture2D" preserve="nothing"/>
		<type fullname="UnityEngine.Behaviour" preserve="nothing"/>
		<type fullname="UnityEngine.MonoBehaviour" preserve="nothing"/>
		<type fullname="UnityEngine.Transform" preserve="nothing"/>
		<type fullname="UnityEngine.Component" preserve="nothing"/>
		<type fullname="UnityEngine.GameObject" preserve="nothing"/>
		<type fullname="UnityEngine.RenderSettings" preserve="nothing"/>
		<type fullname="UnityEngine.AudioClip" preserve="nothing"/>
		<type fullname="UnityEngine.AudioSource" preserve="nothing"/>
		<type fullname="UnityEngine.AudioListener" preserve="nothing"/>
		<type fullname="UnityEngine.Font" preserve="nothing"/>
		<type fullname="UnityEngine.CanvasRenderer" preserve="nothing"/>
		<type fullname="UnityEngine.Texture" preserve="nothing"/>
		<type fullname="UnityEngine.Camera" preserve="nothing"/>
		<type fullname="UnityEngine.Rigidbody2D" preserve="nothing"/>
		<type fullname="UnityEngine.BoxCollider2D" preserve="nothing"/>
		<type fullname="UnityEngine.PolygonCollider2D" preserve="nothing"/>
		<type fullname="UnityEngine.Renderer" preserve="nothing"/>
		<type fullname="UnityEngine.PhysicsMaterial2D" preserve="nothing"/>
		<type fullname="UnityEngine.SpriteRenderer" preserve="nothing"/>
		<type fullname="UnityEngine.Collider2D" preserve="nothing"/>
	</assembly>
	<assembly fullname="Assembly-CSharp">
		<type fullname="HoldButton" preserve="nothing"/>
		<type fullname="ImageChangingButton" preserve="nothing"/>
		<type fullname="MusicPlayer" preserve="nothing"/>
		<type fullname="PlayerController" preserve="nothing"/>
		<type fullname="SceneController" preserve="nothing"/>
		<type fullname="ShipConnectionPoint" preserve="nothing"/>
		<type fullname="ShipController" preserve="nothing"/>
		<type fullname="SlideBarControl" preserve="nothing"/>
		<type fullname="TitleScreenController" preserve="nothing"/>
	</assembly>
	<assembly fullname="Unity.TextMeshPro">
		<type fullname="TMPro.TMP_FontAsset" preserve="nothing"/>
		<type fullname="TMPro.TMP_Settings" preserve="nothing"/>
		<type fullname="TMPro.TMP_SpriteAsset" preserve="nothing"/>
		<type fullname="TMPro.TMP_StyleSheet" preserve="nothing"/>
		<type fullname="TMPro.TextMeshProUGUI" preserve="nothing"/>
	</assembly>
	<assembly fullname="UnityEngine.UI">
		<type fullname="UnityEngine.EventSystems.EventSystem" preserve="nothing"/>
		<type fullname="UnityEngine.EventSystems.StandaloneInputModule" preserve="nothing"/>
		<type fullname="UnityEngine.UI.Button" preserve="nothing"/>
		<type fullname="UnityEngine.UI.CanvasScaler" preserve="nothing"/>
		<type fullname="UnityEngine.UI.GraphicRaycaster" preserve="nothing"/>
		<type fullname="UnityEngine.UI.Image" preserve="nothing"/>
		<type fullname="UnityEngine.UI.Slider" preserve="nothing"/>
		<type fullname="UnityEngine.UI.Text" preserve="nothing"/>
	</assembly>
</linker>
